org.apache.cassandra.utils.memory

## Class HeapPool.Allocator

- java.lang.Object
- - org.apache.cassandra.utils.memory.MemtableAllocator
  - - org.apache.cassandra.utils.memory.MemtableBufferAllocator
    - - org.apache.cassandra.utils.memory.HeapPool.Allocator

- Enclosing class:
    HeapPool

      public static class HeapPool.Allocator
      extends MemtableBufferAllocator

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.utils.memory.MemtableAllocator

      `MemtableAllocator.DataReclaimer, MemtableAllocator.SubAllocator`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.utils.memory.MemtableAllocator

      `NO_OP`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.nio.ByteBuffer` | `allocate(int size, OpOrder.Group opGroup)`
    `MemtableAllocator.DataReclaimer` | `reclaimer()`

    - ### Methods inherited from class org.apache.cassandra.utils.memory.MemtableBufferAllocator

      `allocator, clone, clone, clone, clone, clone`

    - ### Methods inherited from class org.apache.cassandra.utils.memory.MemtableAllocator

      `isLive, offHeap, onHeap, setDiscarded, setDiscarding`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### allocate

          public java.nio.ByteBuffer allocate(int size,
                                              OpOrder.Group opGroup)

      Specified by:
        `allocate` in class `MemtableBufferAllocator`

    - #### reclaimer

          public MemtableAllocator.DataReclaimer reclaimer()

      Specified by:
        `reclaimer` in class `MemtableAllocator`

Copyright © 2018 The Apache Software Foundation